Log4j Version 1.2.7: Class FileWatchdog

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class FileWatchdog

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.apache.log4j.helpers.FileWatchdog

All Implemented Interfaces:
  Runnable

public abstract class FileWatchdog
extends Thread

Check every now and then that a certain file has not changed. If it has, then call the `doOnChange()` method.

Since:
  version 0.9.1
Author:
  Ceki Gülcü

Field Summary
`static long` | `DEFAULT_DELAY` The default delay between every file modification check, set to 60 seconds.
`protected long` | `delay` The delay to observe between every check.
`protected String` | `filename` The name of the file to observe for changes.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`protected` | `FileWatchdog(String filename)`

Method Summary
`protected void` | `checkAndConfigure()`
`protected abstract void` | `doOnChange()`
`void` | `run()`
`void` | `setDelay(long delay)` Set the delay to observe between each check of the file changes.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DELAY

    public static final long DEFAULT_DELAY

  The default delay between every file modification check, set to 60 seconds.

### filename

    protected String filename

  The name of the file to observe for changes.

### delay

    protected long delay

  The delay to observe between every check. By default set `DEFAULT_DELAY`.

Constructor Detail

### FileWatchdog

    protected FileWatchdog(String filename)

Method Detail

### setDelay

    public void setDelay(long delay)

  Set the delay to observe between each check of the file changes.

### doOnChange

    protected abstract void doOnChange()

### checkAndConfigure

    protected void checkAndConfigure()

### run

    public void run()

  Overrides:
    `run` in class `Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.